variables:
  POSTGRES_USER: "test"
  POSTGRES_PASSWORD: "test"
  POSTGRES_DB: "igroove_test"
image: php:8.1-apache
services:
  - postgres:11.1-alpine

cache:
  paths:
    - vendor/

before_script:
  - >
    set -xe
    && apt-get update -yqq
    && apt-get install -yqq
    git
    gawk
    build-essential
    libicu-dev
    libpq-dev
    libzip-dev
    zlib1g-dev
    libwebp-dev 
    libpng-dev 
    libxpm-dev 
    libfreetype6-dev
    libonig-dev
    libsodium-dev
    libcurl4-openssl-dev
    libxml2-dev
    libldap2-dev
    autoconf 
    bison 
    libssl-dev
    libjpeg-dev 
    libtidy-dev 
    


  - >
    docker-php-ext-install
    pdo_pgsql
    pgsql
    mbstring
    sockets
    intl
    zip
    soap
    xml
    bcmath
    ldap
    gd
    curl
  - pecl install pcov
  - docker-php-ext-enable pcov
  - curl -sS https://getcomposer.org/installer | php
  - php composer.phar self-update
  - php composer.phar install --no-progress --no-interaction
  - cp .env.gitlab-ci .env

test:
  script:
#    - php bin/console doctrine:database:create
    - cp .env.gitlab-ci .env.test
    - php bin/console doctrine:schema:update --force
    - vendor/bin/codecept run --coverage